From 1262a9a6868faa7f899f55b579fbe669e14b80f1 Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Fri, 24 Mar 2023 15:10:43 +0800
Subject: [PATCH v1] [typo] replace pg_current_xact with pg_current_xact_id in
 the comment

%s/pg_current_xact/pg_current_xact_id

Signed-off-by: Junwang Zhao <zhjwpku@gmail.com>
---
 src/backend/utils/adt/xid8funcs.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/utils/adt/xid8funcs.c b/src/backend/utils/adt/xid8funcs.c
index e616303a29..5d79f838a3 100644
--- a/src/backend/utils/adt/xid8funcs.c
+++ b/src/backend/utils/adt/xid8funcs.c
@@ -10,9 +10,9 @@
  * via functions such as SubTransGetTopmostTransaction().
  *
  * These functions are used to support the txid_XXX functions and the newer
- * pg_current_xact, pg_current_snapshot and related fmgr functions, since the
- * only difference between them is whether they expose xid8 or int8 values to
- * users.  The txid_XXX variants should eventually be dropped.
+ * pg_current_xact_id, pg_current_snapshot and related fmgr functions, since
+ * the only difference between them is whether they expose xid8 or int8 values
+ * to users.  The txid_XXX variants should eventually be dropped.
  *
  *
  *	Copyright (c) 2003-2023, PostgreSQL Global Development Group
-- 
2.33.0

